import java.util.ArrayList;
import java.util.List;


public class WindowsSystemParameters extends SystemParameters{

	
	public native double getCpu();
	public native int getBatteryRemaining();
	public native int getAc();
	public native double getDisk();
	public native double getIdleTime();
	public native String getMACAddress();
	public List Scheduler()
	{
		List<Comparable> list = new ArrayList<Comparable>();
		list.add(getDate());
		list.add(getDateInMilliseconds());
		list.add(getBatteryRemaining());
		list.add(getAc());
		list.add(getCpu());
		list.add(getDisk());
		list.add(getConnection());
		list.add(getIdleTime());
		list.add(new String(getMACAddress()));
		System.out.println(list);
		return list;

	}
	
}
